Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes
tesseract::CCUtil Class Reference

`#include <ccutil.h>`

Inheritance diagram for tesseract::CCUtil:

List of all members.

## Public Member Functions

| CCUtil ()
virtual | ~CCUtil ()
void | main_setup (const char *argv0, const char *basename)
ParamsVectors * | params ()

## Public Attributes

STRING | datadir
STRING | imagebasename
STRING | lang
STRING | language_data_path_prefix
TessdataManager | tessdata_manager
UNICHARSET | unicharset
UnicharAmbigs | unichar_ambigs
STRING | imagefile
STRING | directory
char * | m_data_sub_dir = "tessdata/"
int | ambigs_debug_level = 0
bool | use_definite_ambigs_for_classifier = 0
bool | use_ambigs_for_adaption = 0

## Detailed Description

Definition at line 54 of file ccutil.h.

## Constructor & Destructor Documentation

tesseract::CCUtil::CCUtil | ( |  | ) |

Definition at line 7 of file ccutil.cpp.

:
params_(),
STRING_INIT_MEMBER(m_data_sub_dir,
"tessdata/", "Directory for data files", &params_),
#ifdef _WIN32
STRING_INIT_MEMBER(tessedit_module_name, WINDLLNAME,
"Module colocated with tessdata dir", &params_),
#endif
INT_INIT_MEMBER(ambigs_debug_level, 0, "Debug level for unichar ambiguities",
&params_),
BOOL_MEMBER(use_definite_ambigs_for_classifier, 0, "Use definite"
" ambiguities when running character classifier", &params_),
BOOL_MEMBER(use_ambigs_for_adaption, 0, "Use ambigs for deciding"
" whether to adapt to a character", &params_) {
}

tesseract::CCUtil::~CCUtil | ( |  | ) |

virtual

Definition at line 23 of file ccutil.cpp.

{
}

## Member Function Documentation

void tesseract::CCUtil::main_setup | ( | const char * | argv0,
|  | const char * | basename
| ) |  |

Definition at line 45 of file mainblk.cpp.

{
imagebasename = basename; /*name of image */
// TESSDATA_PREFIX Environment variable overrules everything.
// Compiled in -DTESSDATA_PREFIX is next.
// An actual value of argv0 is used if not NULL, otherwise current directory.
if (!getenv("TESSDATA_PREFIX")) {
#ifdef TESSDATA_PREFIX
#define _STR(a) #a
#define _XSTR(a) _STR(a)
datadir = _XSTR(TESSDATA_PREFIX);
#undef _XSTR
#undef _STR
#else
if (argv0 != NULL) {
datadir = argv0;
// Remove tessdata from the end if present, as we will add it back!
int length = datadir.length();
if (length >= 8 && strcmp(&datadir[length - 8], "tessdata") == 0)
datadir.truncate_at(length - 8);
else if (length >= 9 && strcmp(&datadir[length - 9], "tessdata/") == 0)
datadir.truncate_at(length - 9);
if (datadir.length() == 0)
datadir = "./";
} else {
datadir = "./";
}
#endif
} else {
datadir = getenv("TESSDATA_PREFIX");
}
// check for missing directory separator
const char *lastchar = datadir.string();
lastchar += datadir.length() - 1;
if ((strcmp(lastchar, "/") != 0) && (strcmp(lastchar, "\\") != 0))
datadir += "/";
datadir += m_data_sub_dir; /*data directory */
}

ParamsVectors* tesseract::CCUtil::params | ( |  | ) |

inline

Definition at line 65 of file ccutil.h.

{ return &params_; }

## Member Data Documentation

int tesseract::CCUtil::ambigs_debug_level = 0

"Debug level for unichar ambiguities"

Definition at line 89 of file ccutil.h.

STRING tesseract::CCUtil::datadir

Definition at line 67 of file ccutil.h.

STRING tesseract::CCUtil::directory

Definition at line 75 of file ccutil.h.

STRING tesseract::CCUtil::imagebasename

Definition at line 68 of file ccutil.h.

STRING tesseract::CCUtil::imagefile

Definition at line 74 of file ccutil.h.

STRING tesseract::CCUtil::lang

Definition at line 69 of file ccutil.h.

STRING tesseract::CCUtil::language_data_path_prefix

Definition at line 70 of file ccutil.h.

char* tesseract::CCUtil::m_data_sub_dir = "tessdata/"

"Directory for data files"

Definition at line 84 of file ccutil.h.

TessdataManager tesseract::CCUtil::tessdata_manager

Definition at line 71 of file ccutil.h.

UnicharAmbigs tesseract::CCUtil::unichar_ambigs

Definition at line 73 of file ccutil.h.

UNICHARSET tesseract::CCUtil::unicharset

Definition at line 72 of file ccutil.h.

bool tesseract::CCUtil::use_ambigs_for_adaption = 0

"Use ambigs for deciding whether to adapt to a character"

Definition at line 93 of file ccutil.h.

bool tesseract::CCUtil::use_definite_ambigs_for_classifier = 0

"Use definite ambiguities when running character classifier"

Definition at line 91 of file ccutil.h.

The documentation for this class was generated from the following files:

- /mnt/data/src/tesseract-ocr/ccutil/ccutil.h
- /mnt/data/src/tesseract-ocr/ccutil/ccutil.cpp
- /mnt/data/src/tesseract-ocr/ccutil/mainblk.cpp